Package org.eclipse.wst.xsl.ui.internal.style

## org.eclipse.wst.xsl.ui.internal.style
Class XMLTextAttributeMap

    public class XMLTextAttributeMap
    extends java.lang.Object

XMlTextAttributeMap handles the mapping of XML Style Constants to TextAttributes.

## Method Summary

`protected TextAttribute` | `createTextAttribute(RGB foreground , RGB background , int style)`
`public static org.eclipse.wst.xsl.ui.internal.style.XMLTextAttributeMap` | `getInstance()` An instance of XMLTextAttributeMap.
`public java.util.Map` | `getTextAttributeMap()` Returns a Map of Style Constants and the corresponding Text Attribute

## Methods Detail

## createTextAttribute

`protected TextAttribute createTextAttribute(RGB foreground , RGB background , int style)`

### Parameters

`foreground`

`background`

`style`

### Returns

`TextAttribute`

## getInstance

`public org.eclipse.wst.xsl.ui.internal.style.XMLTextAttributeMap getInstance()`

An instance of XMLTextAttributeMap.

### Returns

`org.eclipse.wst.xsl.ui.internal.style.XMLTextAttributeMap`

## getTextAttributeMap

`public java.util.Map getTextAttributeMap()`

Returns a Map of Style Constants and the corresponding Text Attribute

### Returns

`java.util.Map`